Bug 959066 (CVE-2013-1988) - CVE-2013-1988 libXRes: Multiple integer overflows leading to heap-based bufer overflows
Summary: CVE-2013-1988 libXRes: Multiple integer overflows leading to heap-based bufer...
Status: CLOSED ERRATA
Alias: CVE-2013-1988
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130523,repor...
Keywords: Security
Depends On: 966815 1078034
Blocks: 959130 1101912
TreeView+ depends on / blocked
 
Reported: 2013-05-03 05:57 UTC by Huzaifa S. Sidhpurwala
Modified: 2018-12-03 18:48 UTC (History)
5 users (show)

Fixed In Version: libXRes 1.0.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 06:09:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Huzaifa S. Sidhpurwala 2013-05-03 05:57:48 UTC
An integer overflow leading to heap-based buffer overflow was found in libXRes, an extension that allows a client to query the X server about its usage of various resources.. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

Affected functions:  XResQueryClients(), XResQueryClientResources()

Comment 8 Jan Lieskovsky 2013-05-23 15:36:19 UTC
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3

Comment 9 Huzaifa S. Sidhpurwala 2013-05-24 03:47:17 UTC
Created libXres tracking bugs for this issue

Affects: fedora-all [bug 966815]

Comment 10 Fedora Update System 2013-05-28 02:19:10 UTC
libXres-1.0.6-5.20130524gitf46818496.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-06-03 03:03:30 UTC
libXres-1.0.6-5.20130524gitf46818496.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Huzaifa S. Sidhpurwala 2013-06-05 03:33:13 UTC
This issue affects the version of libXRes as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 13 Huzaifa S. Sidhpurwala 2013-06-05 03:46:54 UTC
Statement:

This issue affects the libXRes package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 14 Jan Lieskovsky 2013-06-17 13:00:44 UTC
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Comment 16 errata-xmlrpc 2014-10-14 05:05:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.